org.apache.cassandra.index.sasi.analyzer.filter

## Class FilterPipelineTask<F,T>

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask<F,T>

Direct Known Subclasses:
  BasicResultFilters.LowerCase, BasicResultFilters.NoOperation, BasicResultFilters.UpperCase, StemmingFilters.DefaultStemmingFilter, StopWordFilters.DefaultStopWordFilter

    public abstract class FilterPipelineTask<F,T>
    extends java.lang.Object

A single task or set of work to process an input and return a single output. Maintains a link to the next task to be executed after itself

### Field Summary

Fields
`FilterPipelineTask<?,?>` `next`

### Constructor Summary

Constructors
Constructor and Description
`FilterPipelineTask()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `getName()`
`abstract T` `process(F input)`
`protected <K,V> void` `setLast(java.lang.String name, FilterPipelineTask<K,V> last)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### next

    public FilterPipelineTask<?,?> next

### Constructor Detail

#### FilterPipelineTask

    public FilterPipelineTask()

### Method Detail

#### setLast

    protected <K,V> void setLast(java.lang.String name,
                                 FilterPipelineTask<K,V> last)

#### process

    public abstract T process(F input)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getName

    public java.lang.String getName()